import matrixCompile from './matrix-compile/matrixCompile';
import matrixServer from './matrix-server/matrixServer';
import { getExtMetroConfig } from './matrix-config/getExtMetroConfig';
import { generateDevBuildResult, generateProdBuildResult } from './lib/generateBuildResult';
import { getRegisterComponents, getActualComponents } from './lib/getRegisterComponents';
export declare const compiler: {
    compile: typeof matrixCompile;
    devServer: typeof matrixServer;
    getExtMetroConfig: typeof getExtMetroConfig;
};
export declare const utils: {
    generateDevBuildResult: typeof generateDevBuildResult;
    generateProdBuildResult: typeof generateProdBuildResult;
    getRegisterComponents: typeof getRegisterComponents;
    getActualComponents: typeof getActualComponents;
};
export * from './matrix-config/configTypes';
