"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getAssets = void 0;
// @ts-ignore
const getAssets_1 = __importDefault(require("metro/src/DeltaBundler/Serializers/getAssets"));
const getDependencies_1 = require("./getDependencies");
const getAssets = async (options) => {
    const { 
    // dependencyGraph,
    config, transformOptions,
    // platform,
    // transformer,
     } = options;
    const dependencies = await (0, getDependencies_1.getDependencies)(options);
    return (0, getAssets_1.default)(dependencies, {
        processModuleFilter: config.serializer.processModuleFilter,
        assetPlugins: config.transformer.assetPlugins,
        platform: transformOptions.platform,
        projectRoot: config.projectRoot,
        publicPath: config.transformer.publicPath,
    });
};
exports.getAssets = getAssets;
