interface BaseOptions {
    projectRoot: string;
}
interface DevOptions extends BaseOptions {
    mode: 'dev';
}
interface ProdOptions extends BaseOptions {
    filterModules: Set<string>;
    filterModulesVersion: Set<string>;
    SDKAlias: {
        [aliasName: string]: string[];
    };
    mode: 'production';
}
export default function filterModuleHOF(options: DevOptions | ProdOptions): (module: any) => boolean;
export {};
